Skip to main content
`Ctrl`+`K`

# EPSGetOperators

Gets the matrices associated with the eigensystem.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetOperators(EPS eps,Mat *A,Mat *B)

Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- A - the matrix associated with the eigensystem

- B - the second matrix in the case of generalized eigenproblems

## Note

Does not increase the reference count of the matrices, so you should not destroy them.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSGetST()`, `STGetMatrix()`, `STSetMatrices()`

## Level

intermediate

## Location

src/eps/interface/epssetup.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages